=== modified file 'bzrlib/transport/__init__.py'
--- bzrlib/transport/__init__.py	2007-06-02 15:22:34 +0000
+++ bzrlib/transport/__init__.py	2007-06-02 16:18:53 +0000
@@ -1160,8 +1160,8 @@
         return urlparse.urlunparse((scheme, netloc, path, None, None, None))
 
     def relpath(self, abspath):
-        """Return the local path portion from a given absolute path."""
-       scheme, user, password, host, port, path = self._split_url(abspath)
+        """Return the local path portion from a given absolute path"""
+        scheme, user, password, host, port, path = self._split_url(abspath)
         error = []
         if (scheme != self._scheme):
             error.append('scheme mismatch')

=== modified file 'bzrlib/transport/http/__init__.py'
--- bzrlib/transport/http/__init__.py	2007-06-02 15:22:34 +0000
+++ bzrlib/transport/http/__init__.py	2007-06-02 16:18:53 +0000
@@ -153,7 +153,7 @@
             self._range_hint = 'multi'
 
     def _remote_path(self, relpath):
-        """Produce absolute path, adjusting protocol if needed"""
+        """Produce absolute path, adjusting protocol."""
         relative = urlutils.unescape(relpath).encode('utf-8')
         path = self._combine_paths(self._path, relative)
         return self._unsplit_url(self._unqualified_scheme,

=== modified file 'bzrlib/transport/remote.py'
--- bzrlib/transport/remote.py	2007-06-01 20:44:35 +0000
+++ bzrlib/transport/remote.py	2007-06-02 16:18:53 +0000
@@ -481,7 +481,7 @@
         self._medium = _medium
 
     def _remote_path(self, relpath):
-        """After connecting HTTP Transport only deals in relative URLs."""
+        """After connecting, HTTP Transport only deals in relative URLs."""
         # Adjust the relpath based on which URL this smart transport is
         # connected to.
         http_base = urlutils.normalize_url(self._http_transport.base)

